QGIS Application - Bug report #3528
uniqueValue() function is needed on vector layer level
2011-02-27 09:30 AM - Jean-Roc Morreale

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13588
Description

When you classify a spatialite layer which has joined attributes (with the new table join), the rv15265 makes a full crash on [[WinXP]] (I
didn't try under another OS).

Here is the [[DebugView]]'s log related to this event:

r1352 Object::connect: (sender r1352 Object::connect: (receiver name: '‘QgsSymbolV2SelectorDialogBase')

r1352 d:\\progs\\c\\qgis_unstable\\src\\app\\qgslabeldialog.cpp(60) : (QgsLabelDialog::init) entering.

r1352 d:\\progs\\c\\qgis_unstable\\src\\providers\\spatialite\\qgsspatialiteprovider.cpp(2195) : (QgsSpatialLiteProvider::field) Field 12 not

found.

The same layer converted to shp and joined with the same dbf table doesn't crash but the classification is empty.

Associated revisions

Revision 5fdf2f4 - 2011-03-02 03:45 PM - Marco Hugentobler

Add uniqueValues() method for vector layer. Fixes #3528

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15310 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 2c0e214d - 2011-03-02 03:45 PM - Marco Hugentobler

Add uniqueValues() method for vector layer. Fixes #3528

git-svn-id: http://svn.osgeo.org/qgis/trunk@15310 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-02-28 01:31 PM - Marco Hugentobler

Could you attach the data to the ticket or mail it to me privately (marco@sourcepole.ch)?

#2 - 2011-03-01 05:02 AM - Marco Hugentobler

The crash itself is fixed in commit:b055bdc8 (SVN r15306). The main problem however is that the function uniqueValues() only exist on datasource level,

not on vector layer level (thus ignoring the joined fields for classification). Therefore, I'm changing the title of the ticket.
#3 - 2011-03-02 06:47 AM - Marco Hugentobler
- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:2c0e214d (SVN r15311)

#4 - 2011-03-03 07:01 AM - Jean-Roc Morreale

thanks a lot marco !
